summaryrefslogtreecommitdiff
path: root/network
diff options
context:
space:
mode:
authormajk <majk@konstelacioj.info>2010-05-12 23:32:24 +0200
committerDavid Somero <xgizzmo@slackbuilds.org>2010-05-12 23:32:24 +0200
commit2576f42871101c77f74cc25feb43846a93a1571b (patch)
treeeeb6b1596183b835d0b0f10698e81815166ab4d4 /network
parentd78ed7a3ab5eb77a9c825db0f45dec90da0eea4a (diff)
downloadslackbuilds-2576f42871101c77f74cc25feb43846a93a1571b.tar.gz
network/lostirc: Added to 12.2 repository
Diffstat (limited to 'network')
-rw-r--r--network/lostirc/README10
-rw-r--r--network/lostirc/doinst.sh3
-rw-r--r--network/lostirc/lostirc.SlackBuild67
-rw-r--r--network/lostirc/lostirc.info8
-rw-r--r--network/lostirc/slack-desc20
5 files changed, 108 insertions, 0 deletions
diff --git a/network/lostirc/README b/network/lostirc/README
new file mode 100644
index 0000000000..c79db97a25
--- /dev/null
+++ b/network/lostirc/README
@@ -0,0 +1,10 @@
+LostIRC is a simple, yet very useful IRC client. It has features such as
+tab-autocompletion, multiple server support, automatic joining of
+servers/channels, logging and DCC sending which should cover the needs of
+most people. Another goal that the application has in mind, is 100% keyboard
+controlability. It was written using the gtkmm GUI library.
+
+If it has your interest, there's an IRC channel for LostIRC where you can
+get help/support or just a small chat on irc.freenode.net, #lostirc.
+
+This program requires gtkmm and libsigc++, both available at SlackBuilds.org \ No newline at end of file
diff --git a/network/lostirc/doinst.sh b/network/lostirc/doinst.sh
new file mode 100644
index 0000000000..01ca62b341
--- /dev/null
+++ b/network/lostirc/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi \ No newline at end of file
diff --git a/network/lostirc/lostirc.SlackBuild b/network/lostirc/lostirc.SlackBuild
new file mode 100644
index 0000000000..0dc78e5f33
--- /dev/null
+++ b/network/lostirc/lostirc.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for LostIRC
+
+# Written by "majk" <majk@konstelacioj.info>
+
+PRGNAM=lostirc
+VERSION=${VERSION:-0.4.6}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux \
+ --disable-static
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a TODO NEWS INSTALL ChangeLog COPYING AUTHORS ABOUT-NLS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/lostirc/lostirc.info b/network/lostirc/lostirc.info
new file mode 100644
index 0000000000..427b275717
--- /dev/null
+++ b/network/lostirc/lostirc.info
@@ -0,0 +1,8 @@
+PRGNAM="lostirc"
+VERSION="0.4.6"
+HOMEPAGE="http://lostirc.sourceforge.net/"
+DOWNLOAD="http://prdownloads.sourceforge.net/lostirc/lostirc-0.4.6.tar.gz"
+MD5SUM="501cd56bc0740d599540fb415718b939"
+MAINTAINER="majk"
+EMAIL="majk@konstelacioj.info"
+APPROVED="dsomero"
diff --git a/network/lostirc/slack-desc b/network/lostirc/slack-desc
new file mode 100644
index 0000000000..c82ec4b49e
--- /dev/null
+++ b/network/lostirc/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+lostirc: lostirc (Simple IRC client in GTK)
+lostirc:
+lostirc: LostIRC is a simple, yet very useful IRC client. It has features
+lostirc: such as tab-autocompletion, multiple server support,
+lostirc: automatic joining of servers/channels, logging and DCC sending
+lostirc: which should cover the needs of most people. Another goal that
+lostirc: the application has in mind, is 100% keyboard controlability.
+lostirc: It was written using the gtkmm GUI library.
+lostirc:
+lostirc: Homepage: http://lostirc.sourceforge.net/
+lostirc:
+ \ No newline at end of file